The second and subsequent lines of commit messages are not displayed in repository browser
Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.4.3   

Resolution: Fixed Affected version: 3.4.0

Description

After r16062, only the first line of a commit message is displayed in revisions list of the repository browser.

In my opinion, repository browser should not truncate commit messages because it often contain important information for

developers.

I hope that this change will be undone in 3.4.2.

Redmine 3.3:

 

Redmine 3.4:

 

Associated revisions

Revision 16843 - 2017-07-22 09:08 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/16062


Display commit messages like in 3.3 on revision list (#26403).

Revision 16923 - 2017-07-30 18:35 - Jean-Philippe Lang

Merged r16843 (#26403).

History

#1 - 2017-07-10 16:10 - Toshi MARUYAMA

But your patch shows all text.

Redmine 3.3 truncates to 255 chars.

source:tags/3.3.4/app/helpers/repositories_helper.rb#L29

#2 - 2017-07-11 17:06 - Yuichi Ishii

This problem stops my team from updating to 3.4.0.

I hope this will be fixed as soon as possible.

#3 - 2017-07-16 20:59 - Jean-Philippe Lang

Yuichi Ishii wrote:

This problem stops my team from updating to 3.4.0.

I hope this will be fixed as soon as possible.

 Do you really need to see more than the first line of the message in the revision list? The full commit message is still visible on the commit details

view.

#4 - 2017-07-17 01:22 - Yuichi Ishii

Do you really need to see more than the first line of the message in the revision list? The full commit message is still visible on the commit details

view.

 Thanks for the reply. Yes, we really do.

Most of our commit messages contain more than one line, and reviewers use the repository browser in order to see recent commits roughly.

#5 - 2017-07-18 16:46 - Yuuki NARA

+1

I agree with the need for multi line display of the repository browser.

(It is also possible with option setting)

Traceability for tickets and changing source code is necessary for maintenance efficiency.

In order to investigate the outline of source code change details later .

It is necessary to use multiple line and new line , to make it easy to see.

If you force it into one line, it becomes difficult to grasp the contents

#6 - 2017-07-19 19:15 - Jean-Philippe Lang

- Target version set to 3.4.3

#7 - 2017-07-19 19:18 - Jean-Philippe Lang

Should we truncate at 255 characters (which was the behaviour in all prior versions) or display the full commit message in the revision list?

#8 - 2017-07-19 20:04 - Toshi MARUYAMA

- File hg.png added

I think truncating at some characters is better because full text is very annoying.

https://www.mercurial-scm.org/repo/hg/shortlog/4.3-rc
hg.png 

#9 - 2017-07-19 20:32 - Jean-Philippe Lang

What about displaying the first line with a toggle button that would show the full commit message?
#10 - 2017-07-20 15:03 - Yuichi Ishii

What about displaying the first line with a toggle button that would show the full commit message?

 Thank you for this nice idea. But the 3.3 or older versions style is better for us.

Because it helps us see outlines of commit messages easily.

#11 - 2017-07-22 09:09 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

r16843 restores the same behaviour as 3.3 for displaying commit messages in the revision list.

#12 - 2017-07-30 18:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed
